For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet extra fields included in data export
      • POSTAdd a field to be included in data export
      • GETGet an extra field by ID
      • DELDelete an extra field
      • PATCHUpdate the configuration of an extra field
LogoLogo
API StatusPartner Portal
UtilitiesData export - extra data

Update the configuration of an extra field

PATCH
/data_exports/extra_data/:extra_data_id
PATCH
/v1/data_exports/extra_data/:extra_data_id
$curl -X PATCH https://api.sandbox.monite.com/v1/data_exports/extra_data/extra_data_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "field_name": "default_account_code",
6 "field_value": "field_value",
7 "object_id": "object_id",
8 "object_type": "counterpart",
9 "created_by": "created_by"
10}
Was this page helpful?
Previous

Get files

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

extra_data_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
field_nameenumOptional
Allowed values:
field_valuestringOptional
object_idstringOptionalformat: "uuid"
object_type"counterpart"Optional

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
field_nameenum
Allowed values:
field_valuestring
object_idstringformat: "uuid"
object_type"counterpart"
created_bystringformat: "uuid"

Errors

400
Patch Data Exports Extra Data ID Request Bad Request Error
401
Patch Data Exports Extra Data ID Request Unauthorized Error
403
Patch Data Exports Extra Data ID Request Forbidden Error
404
Patch Data Exports Extra Data ID Request Not Found Error
422
Patch Data Exports Extra Data ID Request Unprocessable Entity Error
500
Patch Data Exports Extra Data ID Request Internal Server Error